package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;

/**
 * SmsSent generated by hbm2java
 */
@Entity
@Table(name="sms_sent"
    ,schema="public"
)
public class SmsSent  implements java.io.Serializable {


     private Long id;
     private Date timestamp;
     private ClientSecureCommunicationData clientSecureCommunicationData;
     private EmailReceived emailReceived;
     private GatewayModems gatewayModems;
     private SmsReceived smsReceived;
     private WsReceived wsReceived;
     private String destinationNumber;
     private String payload;
     private String messageUuid;
     private String smsSentStatusType;
     private Integer sequenceNumber;
     private Integer referenceNumber;

    public SmsSent() {
    }

	
    public SmsSent(String destinationNumber, String payload) {
        this.destinationNumber = destinationNumber;
        this.payload = payload;
    }
    public SmsSent(ClientSecureCommunicationData clientSecureCommunicationData, EmailReceived emailReceived, GatewayModems gatewayModems, SmsReceived smsReceived, WsReceived wsReceived, String destinationNumber, String payload, String messageUuid, String smsSentStatusType, Integer sequenceNumber, Integer referenceNumber) {
       this.clientSecureCommunicationData = clientSecureCommunicationData;
       this.emailReceived = emailReceived;
       this.gatewayModems = gatewayModems;
       this.smsReceived = smsReceived;
       this.wsReceived = wsReceived;
       this.destinationNumber = destinationNumber;
       this.payload = payload;
       this.messageUuid = messageUuid;
       this.smsSentStatusType = smsSentStatusType;
       this.sequenceNumber = sequenceNumber;
       this.referenceNumber = referenceNumber;
    }
   
     @SequenceGenerator(name="generator", sequenceName="sms_sent_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

    @Version@Temporal(TemporalType.TIMESTAMP)
    @Column(name="timestamp", nullable=false, length=29)
    public Date getTimestamp() {
        return this.timestamp;
    }
    
    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="client_id")
    public ClientSecureCommunicationData getClientSecureCommunicationData() {
        return this.clientSecureCommunicationData;
    }
    
    public void setClientSecureCommunicationData(ClientSecureCommunicationData clientSecureCommunicationData) {
        this.clientSecureCommunicationData = clientSecureCommunicationData;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="response_for_received_email_id")
    public EmailReceived getEmailReceived() {
        return this.emailReceived;
    }
    
    public void setEmailReceived(EmailReceived emailReceived) {
        this.emailReceived = emailReceived;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="modem_id")
    public GatewayModems getGatewayModems() {
        return this.gatewayModems;
    }
    
    public void setGatewayModems(GatewayModems gatewayModems) {
        this.gatewayModems = gatewayModems;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="response_for_received_sms_id")
    public SmsReceived getSmsReceived() {
        return this.smsReceived;
    }
    
    public void setSmsReceived(SmsReceived smsReceived) {
        this.smsReceived = smsReceived;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="response_for_received_ws_id")
    public WsReceived getWsReceived() {
        return this.wsReceived;
    }
    
    public void setWsReceived(WsReceived wsReceived) {
        this.wsReceived = wsReceived;
    }

    
    @Column(name="destination_number", nullable=false)
    public String getDestinationNumber() {
        return this.destinationNumber;
    }
    
    public void setDestinationNumber(String destinationNumber) {
        this.destinationNumber = destinationNumber;
    }

    
    @Column(name="payload", nullable=false)
    public String getPayload() {
        return this.payload;
    }
    
    public void setPayload(String payload) {
        this.payload = payload;
    }

    
    @Column(name="message_uuid")
    public String getMessageUuid() {
        return this.messageUuid;
    }
    
    public void setMessageUuid(String messageUuid) {
        this.messageUuid = messageUuid;
    }

    
    @Column(name="sms_sent_status_type")
    public String getSmsSentStatusType() {
        return this.smsSentStatusType;
    }
    
    public void setSmsSentStatusType(String smsSentStatusType) {
        this.smsSentStatusType = smsSentStatusType;
    }

    
    @Column(name="sequence_number")
    public Integer getSequenceNumber() {
        return this.sequenceNumber;
    }
    
    public void setSequenceNumber(Integer sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }

    
    @Column(name="reference_number")
    public Integer getReferenceNumber() {
        return this.referenceNumber;
    }
    
    public void setReferenceNumber(Integer referenceNumber) {
        this.referenceNumber = referenceNumber;
    }




}


